package com.backendsys.mapper.B2c;

import com.backendsys.entity.B2c.B2cOrderDTO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface B2cOrderMapper {
    List<Map<String, Object>> queryOrderList(B2cOrderDTO b2cOrderDTO);
    Map<String, Object> queryOrderDetail(Long order_id);
    long insertOrder(B2cOrderDTO b2cOrderDTO);
    long updateOrder(B2cOrderDTO b2cOrderDTO);
}
